### Hierarchy

- unknown
  - CheckConnectionsReply

## Index

### Constructors

- constructor

### Methods

- addConnections
- clearConnectionsList
- getConnectionsList
- serializeBinary
- setConnectionsList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new CheckConnectionsReply(): CheckConnectionsReply

- Inherited from jspb.Message.constructor

  #### Returns CheckConnectionsReply

## Methods

### addConnections

- addConnections(value?: UrlConnection, index?: number): UrlConnection

- - Defined in src/protobuf/grpc_pb.d.ts:1039

  #### Parameters

  - ##### Optional value: UrlConnection

  - ##### Optional index: number

  #### Returns UrlConnection

### clearConnectionsList

- clearConnectionsList(): CheckConnectionsReply

- - Defined in src/protobuf/grpc_pb.d.ts:1038

  #### Returns CheckConnectionsReply

### getConnectionsList

- getConnectionsList(): UrlConnection []

- - Defined in src/protobuf/grpc_pb.d.ts:1036

  #### Returns UrlConnection []

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:1041

  #### Returns Uint8Array

### setConnectionsList

- setConnectionsList(value: UrlConnection []): CheckConnectionsReply

- - Defined in src/protobuf/grpc_pb.d.ts:1037

  #### Parameters

  - ##### value: UrlConnection []

  #### Returns CheckConnectionsReply

### toObject

- toObject(includeInstance?: boolean): CheckConnectionsReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1042

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns CheckConnectionsReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): CheckConnectionsReply

- - Defined in src/protobuf/grpc_pb.d.ts:1045

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CheckConnectionsReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CheckConnectionsReply, reader: BinaryReader): CheckConnectionsReply

- - Defined in src/protobuf/grpc_pb.d.ts:1046

  #### Parameters

  - ##### message: CheckConnectionsReply

  - ##### reader: BinaryReader

  #### Returns CheckConnectionsReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: CheckConnectionsReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:1044

  #### Parameters

  - ##### message: CheckConnectionsReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: CheckConnectionsReply ): CheckConnectionsReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1043

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CheckConnectionsReply

  #### Returns CheckConnectionsReply . AsObject

Generated using TypeDoc